Use With FF 3.0.9 Rated 5 out of 5 stars

Install this extension using MR Tech Toolkit to override compatibility checking. It works fine in my Firefox 3.0.9 and adds a nice function to a lengthy list of bookmarks.

This review is for a previous version of the add-on (1.0.5).